Subject: Re: [PATCH] gitweb: Make search type a popup menu

From: Jakub Narebski <[email-masked]>
Date: Wed, 11 Oct 2006 23:15:12 +0200

Petr Baudis wrote:

> This makes the multiple search types actually usable by the user;
> if you don't read the gitweb source, you don't even have an idea
> that you can write things like that there.

It is on one hand a good idea, for users who doesn't read gitweb
sources. It is like "advanced search" in web search engines.

On the other hand it confirms the notion that search types are exclusive.
Currently pickaxe search is exclusive with log message search, but it is
not necessary. Search operators (now limited) and combining them gives
great search power... or rather would give.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git